## ros-humble-wiimote 3.3.0

=== debian/changelog ===
ros-humble-wiimote (3.3.0-1bookworm) bookworm; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 30 Oct 2023 16:00:00 -0000

ros-humble-wiimote (3.2.0-1bookworm) bookworm; urgency=high

  * Revert "Fix dependency issues." (#259 <https://github.com/ros-drivers/joystick_drivers/issues/259>)
  * Fix dependency issues.
  * Contributors: Chris Lalancette, Joshua Whitley

 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 09 Oct 2023 16:00:00 -0000

ros-humble-wiimote (3.1.0-1bookworm) bookworm; urgency=high

  * Install includes to include/ and misc CMake fixes (#225 <https://github.com/ros-drivers/joystick_drivers/issues/225>)
  * Style fixes for newer cpplint.
  * Contributors: Chris Lalancette, Shane Loretz

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 27 Jan 2022 16:00:00 -0000

ros-humble-wiimote (3.0.1-1bookworm) bookworm; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 27 Jan 2022 16:00:00 -0000

ros-humble-wiimote (3.0.0-1bookworm) bookworm; urgency=high

  * Fix a warning while building wiimote_controller.cpp (#201 <https://github.com/ros-drivers/joystick_drivers/issues/201>)
  * fix compile error caused by missing include (#197 <https://github.com/ros-drivers/joystick_drivers/issues/197>)
  * Port over Wiimote to ROS2 Foxy (#175 <https://github.com/ros-drivers/joystick_drivers/issues/175>)
  * Contributors: Chris Lalancette, Kuni Natsuki, Kurt Wilson

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 11 Mar 2021 16:00:00 -0000

ros-humble-wiimote (1.13.0-1bookworm) bookworm; urgency=high

  * Merge pull request #132 <https://github.com/ros-drivers/joystick_drivers/issues/132> from mistoll/clean_exit
  * return instead of shutdown
  * Merge pull request #128 <https://github.com/ros-drivers/joystick_drivers/issues/128> from ros-drivers/fix/tab_errors
  * Cleaning up Python indentation.
  * Merge pull request #125 <https://github.com/ros-drivers/joystick_drivers/issues/125> from mistoll/check_connection
  * Check if wiimote is still connected.
  * Merge pull request #123 <https://github.com/ros-drivers/joystick_drivers/issues/123> from cclauss/modernize-python2-code
  * Modernize Python 2 code to get ready for Python 3
  * Merge branch 'master' into indigo-devel
  * Contributors: Joshua Whitley, Matthew, Michael Stoll, cclauss

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 23 Jun 2019 16:00:00 -0000

ros-humble-wiimote (1.12.0-1bookworm) bookworm; urgency=high

  * Addressed numerous outstanding PRs.
  * Fixed issue when nunchuk wasn't connected
  * Update README.md
  * Added testing proceedures for wiimote
  * Resolved div-by-zero error race condition on startup.
  * Added testing proceedures for wiimote
  * Fixed issue when nunchuk wasn't connected
  * Changed package xml to format 2
  * Added wiimote testing script
  * Add pairing params to wiimote_node
    * bluetooth_addr
    * pair_timeout
  * Contributors: Jonathan Bohren, Matt Vollrath, jprod123, psimona

 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 10 Jun 2018 16:00:00 -0000

ros-humble-wiimote (1.11.0-1bookworm) bookworm; urgency=high

  * Sample Teleop Implementation for Wiimote
  * C++ Implementation of Wiimote Controller Node
  * Add queue_size to remove ROS Warning
  * Update dependencies to remove warnings
  * Contributors: Mark D Horn

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 09 Feb 2017 16:00:00 -0000

ros-humble-wiimote (1.10.1-1bookworm) bookworm; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sat, 23 May 2015 16:00:00 -0000

ros-humble-wiimote (1.10.0-1bookworm) bookworm; urgency=high

  * First indigo release

 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 25 Jun 2014 16:00:00 -0000
